headless lms

Flag a comment for the moderators

POST /api/member/comments/{commentId}/reports. Flag a comment for the moderators. Headless LMS Discussion API reference.

POST
/api/member/comments/{commentId}/reports

For anyone who can read the comment. Flagging it again while your flag is open returns that flag.

Path Parameters

commentId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/member/comments/string/reports" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "commentId": "string",  "orgUserId": "string",  "reason": "string",  "resolvedAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z"}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}